#!/bin/sh
# cern-lxdistcc-wrappers.sh: v1 KELEMEN Peter <lxdistcc-admins@cern.ch>
_self=${0##*/}

setup_env () {
	_version=${_self##*-}
	_platform=${_platform:-x86_64-slc5}

	_prefix="/afs/cern.ch/sw/lcg/external/gcc/${_version}"
	_bin="${_prefix}/${_platform}/bin"
	_lib="${_prefix}/${_platform}/lib64"
	LD_LIBRARY_PATH="${_lib}${LD_LIBRARY_PATH:+:}${LD_LIBRARY_PATH}"
	PATH="${_bin}${PATH:+:}${PATH}"

	export LD_LIBRARY_PATH
	export PATH
}

case ${_self} in
	lcg-*-4.3.2)
		setup_env
		;;
	lcg-*-4.3.5|lcg-*-4.5.2|lcg-*-4.6.2)
		setup_env
		;;
	*)
		echo "E: Unsupported compiler '${_self}', please contact <lxdistcc-admins@cern.ch>"
		exit 100
		;;
esac

${_bin}/${_self} "$@"
exit $?

# End of file.
